Documents

Documents attached to a project.

MethodPathSummary
GET/v1/app/project/projects/:id/documentsList a project's documents (Wiki)
POST/v1/app/project/projects/:id/documentsCreate a document. Requires at least member role on the project
GET/v1/app/project/projects/:id/documents/:docIdGet a single document, including its content
PATCH/v1/app/project/projects/:id/documents/:docIdUpdate a document. Requires at least member role on the project
DELETE/v1/app/project/projects/:id/documents/:docIdDelete a document (soft delete)

#List a project's documents (Wiki)

GET/v1/app/project/projects/:id/documents

List a project's documents (Wiki). Requires at least viewer role on the project.

Address
https://<your-org>.brambleit.cloud/api/v1/app/project/projects/:id/documents
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.

Path parameters

NameTypeDescription
idrequiredinteger

Response 200

FieldTypeDescription
documentsarray of object
documents[].idinteger
documents[].project_idinteger
documents[].parent_idinteger, or null
documents[].titlestring
documents[].positioninteger
documents[].created_byinteger
documents[].updated_byinteger, or null
documents[].created_atstring (date-time)
documents[].updated_atstring (date-time)
Example response
JSON
{
  "documents": [
    {
      "id": 42,
      "project_id": 7,
      "parent_id": 7,
      "title": "Example title",
      "position": 1,
      "created_by": 1,
      "updated_by": 1,
      "created_at": "2026-11-12T09:30:00.000Z",
      "updated_at": "2026-11-12T09:30:00.000Z"
    }
  ]
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/app/project/projects/42/documents' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Create a document. Requires at least member role on the project

POST/v1/app/project/projects/:id/documents
Address
https://<your-org>.brambleit.cloud/api/v1/app/project/projects/:id/documents
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.

Path parameters

NameTypeDescription
idrequiredinteger

Request body JSON

NameTypeDescription
titlerequiredstring
contentany
parent_idinteger

Response 201

FieldTypeDescription
documentany
Example response
JSON
{
  "document": null
}

Errors

StatusMessage
400title is required

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v1/app/project/projects/42/documents' \
  -H "X-API-Key: $BRAMBLE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"title":"Example title","content":"…","parent_id":7}'

#Get a single document, including its content

GET/v1/app/project/projects/:id/documents/:docId

Get a single document, including its content. Requires at least viewer role on the project.

Address
https://<your-org>.brambleit.cloud/api/v1/app/project/projects/:id/documents/:docId
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.

Path parameters

NameTypeDescription
idrequiredinteger
docIdrequiredinteger

Response 200

FieldTypeDescription
documentany
Example response
JSON
{
  "document": null
}

Errors

StatusMessage
404Document not found

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/app/project/projects/42/documents/1' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Update a document. Requires at least member role on the project

PATCH/v1/app/project/projects/:id/documents/:docId
Address
https://<your-org>.brambleit.cloud/api/v1/app/project/projects/:id/documents/:docId
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.

Path parameters

NameTypeDescription
idrequiredinteger
docIdrequiredinteger

Request body JSON

NameTypeDescription
titlestring
contentany
parent_idinteger
positioninteger

Response 200

FieldTypeDescription
documentany
Example response
JSON
{
  "document": null
}

Example request

Bash
curl -X PATCH 'https://<your-org>.brambleit.cloud/api/v1/app/project/projects/42/documents/1' \
  -H "X-API-Key: $BRAMBLE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"title":"Example title","content":"…","parent_id":7,"position":1}'

#Delete a document (soft delete)

DELETE/v1/app/project/projects/:id/documents/:docId

Delete a document (soft delete). Requires at least member role on the project.

Address
https://<your-org>.brambleit.cloud/api/v1/app/project/projects/:id/documents/:docId
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.

Path parameters

NameTypeDescription
idrequiredinteger
docIdrequiredinteger

Response 200

FieldTypeDescription
okboolean
Example response
JSON
{
  "ok": true
}

Example request

Bash
curl -X DELETE 'https://<your-org>.brambleit.cloud/api/v1/app/project/projects/42/documents/1' \
  -H "X-API-Key: $BRAMBLE_KEY"